using System;

namespace BigfootMVC.Helpers
{
	public class ExceptionHelper
	{
        
        public static void ThrowArgumentExceptionIf(bool condition, string argName, string message)
        {
            if (condition) throw new ArgumentException(message, argName);
        }

        public static void ThrowInvalidOperationExceptionIf(bool condition, string message)
        {
            if (condition) throw new InvalidOperationException(message);
        }

        public static void ThrowObjectDisposedExceptionIf(bool condition)
        {
            if (condition) throw new ObjectDisposedException("");
        }
        
	}
}
